Package org.apache.catalina.valves

## Class AbstractAccessLogValve.RequestElement

- java.lang.Object
- - org.apache.catalina.valves.AbstractAccessLogValve.RequestElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  AbstractAccessLogValve

    protected static class AbstractAccessLogValve.RequestElement
    extends java.lang.Object
    implements AbstractAccessLogValve.AccessLogElement

write first line of the request (method and request URI) - %r

### Constructor Summary

Constructors
`protected` `RequestElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addElement​(java.io.CharArrayWriter buf, java.util.Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestElement

    protected RequestElement()

### Method Detail

#### addElement

    public void addElement​(java.io.CharArrayWriter buf,
                           java.util.Date date,
                           Request request,
                           Response response,
                           long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`